org.apache.solr.client.solrj.impl

## Class HttpClientUtil.GzipDecompressingEntity

- java.lang.Object
- - org.apache.http.entity.HttpEntityWrapper
  - - org.apache.solr.client.solrj.impl.HttpClientUtil.GzipDecompressingEntity

All Implemented Interfaces:
  org.apache.http.HttpEntity

Enclosing class:
  HttpClientUtil

    protected static class HttpClientUtil.GzipDecompressingEntity
    extends org.apache.http.entity.HttpEntityWrapper

### Field Summary

### Fields inherited from class org.apache.http.entity.HttpEntityWrapper

`wrappedEntity`

### Constructor Summary

Constructors
Constructor and Description
`GzipDecompressingEntity(org.apache.http.HttpEntity entity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`InputStream` `getContent()` Return a InputStream of uncompressed data.
`long` `getContentLength()`

### Methods inherited from class org.apache.http.entity.HttpEntityWrapper

`consumeContent, getContentEncoding, getContentType, isChunked, isRepeatable, isStreaming, writeTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GzipDecompressingEntity

    public GzipDecompressingEntity(org.apache.http.HttpEntity entity)

### Method Detail

#### getContent

    public InputStream getContent()
                           throws IOException,
                                  IllegalStateException

Return a InputStream of uncompressed data. If there is an issue with the compression of the data, a null InputStream will be returned, and the underlying compressed InputStream will be closed. The same input stream will be returned if the underlying entity is not repeatable. If the underlying entity is repeatable, then a new input stream will be created.

Specified by:
  `getContent` in interface `org.apache.http.HttpEntity`
Overrides:
  `getContent` in class `org.apache.http.entity.HttpEntityWrapper`
Throws:
  `IOException`
  `IllegalStateException`

#### getContentLength

    public long getContentLength()

Specified by:
  `getContentLength` in interface `org.apache.http.HttpEntity`
Overrides:
  `getContentLength` in class `org.apache.http.entity.HttpEntityWrapper`